repos:
-   repo: https://github.com/ambv/black
    rev: 22.3.0
    hooks:
    - id: black
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.2.0
    hooks:
    -   id: check-merge-conflict # prevent committing files with merge conflicts
-   repo: https://github.com/codespell-project/codespell
    rev: v2.1.0
    hooks:
    -   id: codespell # Spellchecker
        args: [-L, nd, --skip, "*.html"]
#-   repo: https://github.com/asottile/seed-isort-config
#    rev: v2.1.1
#    hooks:
#    -   id: seed-isort-config
#        args: [--application-directories, 'gwpopulation_pipe']
#    repo: https://github.com/timothycrosley/isort
#    rev: 4.3.21-2
#    hooks:
#    -   id: isort # sort imports alphabetically and separates import into sections
#        args: [-w=88, -m=3, -tc, -sp=setup.cfg ]
-   repo: local
    hooks:
    -   id: flynt
        name: flynt
        entry: flynt
        args: [--fail-on-change]
        types: [python]
        language: python
        additional_dependencies:
            - flynt
